package test.info.dragonlady.scriptlet;

import info.dragonlady.scriptlet.Scriptlet;

import java.util.Map;

import javax.servlet.http.HttpSession;

import junit.framework.TestCase;

public class ScriptletTest extends TestCase {
	
	public class TestScriptlet extends Scriptlet{

		private static final long serialVersionUID = -8998557646858349919L;
		
		@Override
		public String getEScriptErrorMsg() {
			// TODO 自動生成されたメソッド・スタブ
			return null;
		}

		@Override
		public String getInvalidParamErrorMsg() {
			// TODO 自動生成されたメソッド・スタブ
			return null;
		}

		@Override
		public String getInvalidValidationParamErrorMsg() {
			// TODO 自動生成されたメソッド・スタブ
			return null;
		}

		@Override
		public String getRequiredParamErrorMsg() {
			// TODO 自動生成されたメソッド・スタブ
			return null;
		}

		@Override
		public Map<String, Object> getScriptNewProperties() {
			// TODO 自動生成されたメソッド・スタブ
			return null;
		}

		@Override
		public String getInitSequence() {
			// TODO 自動生成されたメソッド・スタブ
			return null;
		}

		@Override
		public String getNextInitSequence() {
			// TODO 自動生成されたメソッド・スタブ
			return null;
		}

		@Override
		public long getSerialVersionUID() {
			// TODO 自動生成されたメソッド・スタブ
			return 0;
		}
		
	}

	public void testVerifySequence() {
		fail("まだ実装されていません。");
	}

	public void testGetContentType() {
		fail("まだ実装されていません。");
	}

}
